Subject: RE: [Asrg] The pay-per message myth again

From: "Hannigan, Martin" <[email-masked]>
Date: Mon, 27 Dec 2004 13:26:25 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Jon Kyme
> Sent: Monday, December 27, 2004 12:17 PM
> To: ASRG
> Cc: John Levine
> Subject: Re: [Asrg] The pay-per message myth again
> 
> 
> >>>Ten years ago there were lots of e-mail services that 
> charged by the
> >>>message.  Now they're all dead.  This is a big hint.
> >
> >
> >>Of course, nothing has changed in the last 10 years. 
> Nothing ever does,
> >>right? And besides, there have been a lot of businesses that did the
> >other
> >>thing, and have gone also. I just love these "common-sense" 
> arguments.
> >
> >I'm sorry, but other than that you're trying to be snide, I don't
> >understand what point you're trying to make.
> >
> 
> No, I'm pointing out a clearly fallacious argument. This is 
> not to say that
> your conclusions are wrong of course, but to say that 
> pay-to-send can't
> work in the future because it didn't work in the past is to 
> say nothing
> useful.

Pay to send clearly does work in other models today. SMS, as mentioned
below is one. 

> >Of course things have changed in 10 years.  In 1994 there 
> was no giant
> >unmetered e-mail infrastructure, and there were people willing to pay
> >per message for e-mail.  Today SMTP exists everywhere, and as I noted
> >the pay per message services are gone.
> >
> >It's blindingly obvious that a system that really did charge all
> >senders even a little bit per message wouldn't have a spam 
> problem, so
> >why don't we have pay per message email?
> >
> >The only ppm service of which I'm aware these days is SMS, the text
> >message add-on to cell service.  PPM charges mirrors cell service
> >charges.  In North America, where mobile users pay for both incoming
> >and outgoing calls, PPM is charged per message in both directions.
> >Carriers all offer message bundles similar to minute bundles that are
> >a lot cheaper than individual messages.  Elsewhere in the world where
> >mobile service is all caller-pays, sending SMS costs money, receiving
> >SMS is free.  Is SMS the wave of the future?  I doubt it.
> >
> 
> It's interesting that you mention SMS, in the European 
> market, 160 billion
> messages are exchanged per month
> [ http://www.gsmworld.com/documents/netsize_guide2004_mda.pdf 
> ](I haven't
> got a good figure for email to hand - probably rather more, 
> but how many
> are spam :-) ). So it seems foolish to speculate about SMS 
> *in the future*
> - while the US 'cellphone' biz is weak by comparison, in most of the
> 'developed' world SMS *is* the asynchronous messaging channel 
> of choice for
> for some big (and important) user-groups.

I'll have to differ on the opine and insinuation regarding SMS not
being the wave of the future. It's already here and it's the absolute
rage in Europe and Asia. 

> 
> >For one thing, the assumption that you can get people to pay for all
> >of the messages is wildly optimistic.  I was talking to a security
> >manager at Vodaphone earlier this year, and he told me that they have
> >a moderate number of gateways through which messages SMS can be sent
> >into their SMS system, and they have constatnt problems with spam
> >gushing in through them due to some combination of configuration
> >errors and hacks.  Maybe they can fix it, but as I've noted before if
> >email costs real money, there will be constant attacks to 
> either avoid
> >paying or (the zombie problem) to charge the messages to 
> someone else.
> >
> 
> I've seen a lot of *very* poorly secured web/SMS gateways and 
> I'm sure that
> there exist all sorts of other ways that spam gets into the 
> system that
> could (and should) be closed.

And Vodafone is a telco. Their experience billing voice minutes, 
and their reliance on the revenue as a public company, will help
them resolve that issue, but it will *never* be gone. Fraud will
account for 3 to 8% of all their revenue across all product lines,
including SMS. But this is good. Telco's prosecute fraud under 
theft statutes which are more cut and dry than any electronic spam
statute I've seen is.

> >Also, people who do serious messaging on their cell phones don't pay
> >per message now.  If you use something like a Blackberry, you don't
> >pay per message, you use GPRS and pay for bandwidth, or more 
> typically
> >a (rather high) flat rate, just like everyone else who uses e-mail.
> >
> 

That is slightly inaccurate. I have a blackberry and I do have a message
cap before I must start paying.

> I think you'll find that a lot of email is sent using somebody else's
> bandwidth. Apart from that, I'm not sure what "serious messaging" is:
> is 100 users each sending 1MB messages more 'serious' than 100K users
> sending 10 of 100 character messages per day?

Serious messaging would be "us". But I will keep emphasizing that
"we" are not the target market anymore, we're simply the milk men.
In 1995? Yes. "Us". Today? "them".

Think "Milk and Cereal".

> >So what am I missing?  Unless you believe that spam will get so awful
> >that people will turn off SMTP mail, it's hard to see how 
> you're going
> >to get an interesting number of users to move to something that costs
> >more and can only exchange messages with other people on the same
> >system.
> >
> 
> No, rather, spam gets so bad that people are prepared to incur costs
> reducing the pain. I don't know (any more than you, perhaps) what that
> means. Do they move to other channels? Closed systems? Spend 
> on hardware
> and bandwith so that their PCs can cope?

Under the billing model, SPAM is eliminated. It becomes fraud.

> Presumably the market will respond to the problem in a way 
> that tends to
> maximise the utility of the system for the largest number of 
> participants?
> Oh no, wait, I meant to say: "maximise profits for those with the most
> control over the current system".

The market won't respond until it's lost revenue. We keep spawning
these technology areas that are fairly useless and of limited lifespan
i.e. IPS, IDS, etc. It's all fraud when it's revenue based.

If I were a fraud software developer I'd be buying some of these
companies that have been created related to this failure to address
these problems at the revenue and executive levels.

In fact, IMHO, we are partly to blame. We've consistently gone to our
management and said "we can do this" and "we can do that". It's time
to say "we can't do anything -- help us".

-M<

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "Hannigan, Martin" <[email-masked]>
Date: Mon, 27 Dec 2004 14:32:18 -0500

Not to be facecious, but when does the research start or did I not read the
faq? 

I came to wirte an rfc, a bcp, develop a plan to put forth to the inet
communtiy, or help someone else. I've already heard all the for and against
arguments from a to z. Its clear that everyone understands "the problem" and
are formidable opponents to spam.

Now what?

Cheers,

-M
---
Martin Hannigan
[email-masked]
Verisign, Inc.

-----Original Message-----
From: [email-masked] <[email-masked]>
To: ASRG <[email-masked]>
CC: John Levine <[email-masked]>
Sent: Mon Dec 27 09:16:59 2004
Subject: Re: [Asrg] The pay-per message myth again

>>>Ten years ago there were lots of e-mail services that charged by the
>>Of course, nothing has changed in the last 10 years. Nothing ever does,
>>thing, and have gone also. I just love these "common-sense" arguments.
>

No, I'm pointing out a clearly fallacious argument. This is not to say that
your conclusions are wrong of course, but to say that pay-to-send can't
work in the future because it didn't work in the past is to say nothing
useful.

>Of course things have changed in 10 years.  In 1994 there was no giant
>senders even a little bit per message wouldn't have a spam problem, so

It's interesting that you mention SMS, in the European market, 160 billion
messages are exchanged per month
[ http://www.gsmworld.com/documents/netsize_guide2004_mda.pdf ](I haven't
got a good figure for email to hand - probably rather more, but how many
are spam :-) ). So it seems foolish to speculate about SMS *in the future*
- while the US 'cellphone' biz is weak by comparison, in most of the
'developed' world SMS *is* the asynchronous messaging channel of choice for
for some big (and important) user-groups.

>email costs real money, there will be constant attacks to either avoid
>paying or (the zombie problem) to charge the messages to someone else.
>

I've seen a lot of *very* poorly secured web/SMS gateways and I'm sure that
there exist all sorts of other ways that spam gets into the system that
could (and should) be closed.

>pay per message, you use GPRS and pay for bandwidth, or more typically

>that people will turn off SMTP mail, it's hard to see how you're going

No, rather, spam gets so bad that people are prepared to incur costs
reducing the pain. I don't know (any more than you, perhaps) what that
means. Do they move to other channels? Closed systems? Spend on hardware
and bandwith so that their PCs can cope?

Presumably the market will respond to the problem in a way that tends to
maximise the utility of the system for the largest number of participants?
Oh no, wait, I meant to say: "maximise profits for those with the most
control over the current system".

---

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 27 Dec 2004 14:55:59 -0800

> being the wave of the future. It's already here and it's the absolute

I would wager that if people were used to using free SMS that they would not
move to a charge per message model.

Every trend is towards flat rate service. The only reason I am considering
getting GPRS is that Tmobile will provide it flat rate.

Being 'free' is part of the email business model, you cannot change that
without changing the character of email.

> theft statutes which are more cut and dry than any electronic spam

As is repeated every time this one is brought up, the billing infrastructure
that supports the telcos represents tens of billions of dollars worth of
sunk capital investment and costs several billion dollars a year to
maintain.

Schemes that rely on the magical appearance of a billing infrastructure that
costs almost nothing to use might as well depend on the invention of a
perpetual motion machine. There is no such infrastructure and several
companies have gone bankrupt trying to build one.

The idea of making it uneconomic for spammers to spam is a good one. It is
not necessary to make legit users pay in order to charge the spammers
however. Bonded sender proves that. Transfer of economic value is much more
expensive than if the parties prove that they have destroyed the equivalent
amount of goods if the amounts are less than a cent.

The reason this keeps returning is ideological not technical. Some folk
think that the answer to every complex problem is to recite Chairman Mao,
others recite Ayn Rand, some climb trees and blame everything on the
Starbucks corporation and there is no point in bothering to try to
distinguish between them. 

Until you have a mechanism that can support the necessary payments
settlements you don't have a scheme. 

		Phill

---

From: "Hannigan, Martin" <[email-masked]>
Date: Mon, 27 Dec 2004 22:46:56 -0500

> From: Hallam-Baker, Phillip 
> Sent: Monday, December 27, 2004 5:56 PM
> To: Hannigan, Martin; ASRG
> Subject: RE: [Asrg] The pay-per message myth again
> 
> 
> I would wager that if people were used to using free SMS that 
> they would not move to a charge per message model.

I agree. I'm just tossing some thoughts out. As I research this
more, I don't see why a limit on the flat rate wouldn't be helpful,
or doable.

[ snip ]

> As is repeated every time this one is brought up, the billing 
> infrastructure that supports the telcos represents tens of 
> billions of dollars worth of sunk capital investment and 
> costs several billion dollars a year to maintain.
> 
> Schemes that rely on the magical appearance of a billing 
> infrastructure that costs almost nothing to use might as well 
> depend on the invention of a perpetual motion machine. There 
> is no such infrastructure and several companies have gone 
> bankrupt trying to build one.
> 
> 
> The idea of making it uneconomic for spammers to spam is a 
> good one. It is not necessary to make legit users pay in 
> order to charge the spammers however. Bonded sender proves 
> that. Transfer of economic value is much more expensive than 
> if the parties prove that they have destroyed the equivalent 
> The reason this keeps returning is ideological not technical. 
> Some folk think that the answer to every complex problem is 
> to recite Chairman Mao, others recite Ayn Rand, some climb 
> trees and blame everything on the Starbucks corporation and 
> there is no point in bothering to try to distinguish between them. 
> 
> Until you have a mechanism that can support the necessary 
> payments settlements you don't have a scheme. 

Why wouldn't existing telco interconnect settlement peering
cover this? One thought is that they don't break out by protocol
in the settlements, they break it out by bits and routes.

-M<